Subject: [IPP] Erratum in RFC 8011: "referenced-uri-scheme-supported" should be "reference-uri-scheme-supported" on page 58

From: "Kennedy, Smith (Wireless & Standards Architect)" <[email-masked]>
Date: Tue, 17 Jul 2018 16:54:24 +0000

Greetings,

I came across a typo in RFC 8011. In section 4.2.2, it says:
   This OPTIONAL operation is identical to the Print-Job operation
   (Section 4.2.1), except that a Client supplies a URI reference to the
   Document data using the "document-uri" (uri) operation attribute (in
   Group 1) rather than including the Document data itself.  Before
   returning the response, the Printer MUST validate that the Printer
   supports the retrieval method (e.g., ’http’, ’ftp’, etc.) implied by
   the URI and MUST check for valid URI syntax.  If the Client-supplied
   URI scheme is not supported, i.e., the value is not in the Printer’s
   "referenced-uri-scheme-supported" attribute, the Printer MUST reject
   the request and return the ’client-error-uri-scheme-not-supported’
   status-code.
The "referenced-uri-scheme-supported" in red above should actually be "reference-uri-scheme-supported".

How do we file an erratum against RFC 8011?

Smith

/**
    Smith Kennedy
    Wireless & Standards Architect - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB-IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Tue, 17 Jul 2018 20:34:13 -0400

Smith,

> On Jul. 17, 2018, at 12:54 PM, Kennedy, Smith (Wireless & Standards Architect) <[email-masked]> wrote:
> 
> Greetings,
> 

Go here:

    https://www.rfc-editor.org/errata_search.php <https://www.rfc-editor.org/errata_search.php>